Summary: CUED Syslog Monitoring server scripts
Name: cued-syslogmon
Version: 1.1
Release: 8
License: CUED
Group: CUED
Requires: syslogd util-linux
Packager: John Sloan <js138@eng.cam.ac.uk>
Buildroot: %{_tmppath}/%{name}-build.root
BuildArchitectures: noarch
Source: cued-syslogmon.tar.gz


%description
Syslog monitoring server scripts


%package -n cued-syslogmon-client
Summary: CUED Syslog Monitoring client scripts
License: CUED
Group: CUED
Requires: syslogd util-linux

%description -n cued-syslogmon-client
Syslog monitoring client scripts

%prep
%setup -n cued-syslogmon
%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
for i in hup-syslog ping-syslog run-syslogmon syslogmon
do
	install $i $RPM_BUILD_ROOT/usr/local/sbin
done
install -m0644 syslogmon-cron $RPM_BUILD_ROOT/etc/cron.d
install -m0644 run-syslogmon-cron $RPM_BUILD_ROOT/etc/cron.d

%files
/etc/cron.d/run-syslogmon-cron
/usr/local/sbin/run-syslogmon
/usr/local/sbin/syslogmon

%files -n cued-syslogmon-client
/usr/local/sbin/hup-syslog
/usr/local/sbin/ping-syslog
/etc/cron.d/syslogmon-cron

%post -n cued-syslogmon-client
cat /etc/syslog.conf | grep -v 'local6.*						@log-serv.eng.cam.ac.uk' >> /etc/syslog.conf.new
cat >> /etc/syslog.conf.new <<EOF
local6.*						@log-serv.eng.cam.ac.uk
EOF
mv /etc/syslog.conf /etc/syslog.conf.orig
mv /etc/syslog.conf.new /etc/syslog.conf
%postun
